Bug 976893 - missing libpng15-devel rpm - libpng15.so needed when building with libgd
missing libpng15-devel rpm - libpng15.so needed when building with libgd
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gd (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-21 15:31 EDT by John Ellson
Modified: 2013-06-25 05:02 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-25 05:02:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Ellson 2013-06-21 15:31:29 EDT
Description of problem:
Building with libgd fails because libgd requires libpng15.so.

The .so normally comes from the -devel rpms, but currently there is no libpng15-devel in the rawhide repository.

Version-Release number of selected component (if applicable):
libpng15-1.5.16-1.fc20
gd-2.1.0-0.1.725ba9d.fc20
gd-devel-2.1.0-0.1.725ba9d.fc20


How reproducible:
100%

Steps to Reproduce:
1. echo 'int main (int argc, char *argv[]) { return 0; }' > test.c
2. gcc test.c `gdlib-config --libs`
3.

Actual results:
/usr/bin/ld: cannot find -lpng15
collect2: error: ld returned 1 exit status

Expected results:
no error

Additional info:
Comment 1 Petr Hracek 2013-06-24 03:16:07 EDT
Hi John,

thanks for the bug.

Some explanation for that compatibility package. There are two packages in rawhide which deliver libpng. First is libpng with version 1.6 and second one libpng15 which delivers only libpng15.so libraries.

If you are building any application with libpng support please use libpng package.

The second one package is used mainly only for migration to the newest libpng package (1.6) and either in F20 or in F21 it will be removed from repository.

Discussion about that issue is here:
https://lists.fedoraproject.org/pipermail/devel/2013-May/182921.html

Review request of libpng15 package is here:
https://bugzilla.redhat.com/show_bug.cgi?id=964161
Comment 2 John Ellson 2013-06-24 09:07:47 EDT
So you are saying, I think, that this is a bug with gd?   Thats fine, please redirect.  I'm not the maintainer of libgd.

The reference to libpng15 seems to be hard-coded into libgd.
Comment 3 Petr Hracek 2013-06-25 02:20:37 EDT
I think that one rebuild is needed in case that libpng15 is not hard coded in gd. Otherwise I suggest to remove hard coded dependency to libpng15.

But I do not thing so.
Comment 4 Remi Collet 2013-06-25 03:24:46 EDT
A rebuild is plan really soon for 2.1 final. Should fix this issue.
Comment 5 Remi Collet 2013-06-25 05:02:24 EDT
Package: gd-2.1.0-0.2.725ba9d.fc20
Tag: f20
Status: complete
Built by: remi

$ rpm -qp --requires gd-2.1.0-0.2.725ba9d.fc20.x86_64.rpm 
...
libpng16.so.16()(64bit)  
libpng16.so.16(PNG16_0)(64bit)  
...

Note You need to log in before you can comment on or make changes to this bug.